Package org.eclipse.emf.cdo.spi.common.revision

# Interface InternalCDORevisionManager.RevisionLoader3

All Superinterfaces:
  `InternalCDORevisionManager.RevisionLoader`, `InternalCDORevisionManager.RevisionLoader2`

All Known Subinterfaces:
  `CDOSessionProtocol`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`

Enclosing interface:
  InternalCDORevisionManager

public static interface InternalCDORevisionManager.RevisionLoader3 extends InternalCDORevisionManager.RevisionLoader2
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.15
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`List<RevisionInfo>`
`loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates)`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader

`handleRevisions, loadRevisionByVersion, loadRevisions`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader2

`loadObjectLifetime`

## Method Details

### loadRevisions

List<RevisionInfo> loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates)